--- koffice.SlackBuild	2006-07-22 20:27:43.000000000 -0400
+++ koffice.SlackBuild.s390x	2006-08-09 11:13:42.000000000 -0400
@@ -4,8 +4,8 @@
 PKG=$TMP/package-koffice
 
 # Set the config option variables if they are not already set:
-if [ -r ../KDE.options ]; then
-  . ../KDE.options
+if [ -r ../KDE.options.s390x ]; then
+  . ../KDE.options.s390x
 fi
 
 # The global options may be overridden here (if needed):
@@ -34,11 +34,19 @@
 CXXFLAGS=$CPUOPT \
 ./configure \
   --prefix=/opt/kde \
+  --enable-libsuffix=64 \
   --with-xinerama \
   --disable-debug \
   --program-prefix="" \
   --program-suffix="" \
   $TARGET-slackware-linux
+# Another case of libtool not finding the right libstdc++ library
+#( cd kexi/kexidb/drivers/mySQL
+#  ln -sf /usr/lib64/libstdc++.so .
+#)
+#( cd kexi/migration/mysql
+#  ln -sf /usr/lib64/libstdc++.so .
+#)
 make $NUMJOBS || exit 1
 make install DESTDIR=$PKG
 mkdir -p $PKG/usr/doc/koffice-$VERSION
